<?php
/**
 * Custom Widgets
 *
 * @since 1.0.0
 */

if( ! function_exists( 'greenturtle_mag_recent_posts' ) ) :
	/**
     * Register and load widgets.
     *
     * @since 1.0.0
     */
	function greenturtle_mag_recent_posts() {

		/*
			Main Feature Widget Register
		*/
		register_widget( 'Greenturtle_Mag_recent_post' );

	}
endif;
add_action( 'widgets_init', 'greenturtle_mag_recent_posts' );

if( ! class_exists( 'Greenturtle_Mag_recent_post' ) ) :
	/**
	 * Main Highlight
	 *
	 * @since 1.0.0
	 */
	class Greenturtle_Mag_recent_post extends WP_Widget
	{
		
		function __construct()
		{
			$opts = array(
				'classname' => '',
				'description'	=> esc_html__( 'Displays Feature posts. Place it in "Front Page Widget Area " widget area.', 'greenturtle-mag' )
			);
			parent::__construct( 'greenturtle-mag-recent-post', esc_html__( 'GTL Recent ', 'greenturtle-mag' ), $opts );
		}

		function form( $instance ) {
			$title     		= isset( $instance['title'] ) ? esc_attr( $instance['title'] ) : '';
			
		
			?>
			<p>
			<label for="<?php echo $this->get_field_id('title'); ?>"><?php esc_attr_e('Title', 'greenturtle-mag'); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" />
			</p>
			<?php
		}

		function update( $new_instance, $old_instance ) {
			$instance = $old_instance;

			$instance['title'] 			= sanitize_text_field($new_instance['title']);
		

			return $instance;
		}

		function widget( $args, $instance ) {
			$title = ( ! empty( $instance['title'] ) ) ? $instance['title'] : '';
		
      		
		?>

				<section class="widget widget_gtl_mag_recent_post"><h2 class="widget-title"><?php echo $title; ?></h2>                                        <!--html generate-->
				<div class="sidebar-section">
				    <div class="sb-round-thumb-widget">
				        <div class="right-post-content">
				           <?php
			      			$arg_1 = array(
								
								'posts_per_page' 	=> 5,
								'post_type'			=> 'post',
								'post__not_in'=>get_option("sticky_posts") ,
								
							);
							$query_1 = new WP_Query( $arg_1 );
							if( $query_1->have_posts() ) :
								while( $query_1->have_posts() ) :
									$query_1->the_post();
							?>

								<div class="small-right-post-content-list">
								    <div class="thumb-post">
								        <figure class="post-img">
								           <?php
												if( has_post_thumbnail() ) :
													the_post_thumbnail('thumb');
												endif;
											?>
								        </figure>
								        <div class="small-right-post-content">
								            <h3 class="entry-title">
								                <a href="<?php the_permalink(); ?>"><?php the_title(); ?> </a>
								            </h3>
								            <div class="post-icons">
								
								<span>
								    <a href="" class="icon"><i class="fa fa-calendar"></i> <?php the_date(); ?></a>
								</span>
								<span>
								   <?php comments_popup_link( esc_html__( 'Comment(0)', 'greenturtle-mag' ), esc_html__( 'Comment(1)', 'greenturtle-mag' ), esc_html__( 'Comments(%)', 'greenturtle-mag' ) ); ?>
								    </span>
								</div>
								</div>
								</div>
								</div>
								<?php
									endwhile;
									wp_reset_postdata();
								endif;
								?>
							</div>
						</div>
				</div>

				</section>
			
				<?php 
		}
	}
endif; 
?>